diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/transport/bitrate_settings_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/transport/bitrate_settings_gn/moz.build
--- third_party/libwebrtc/api/transport/bitrate_settings_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/transport/bitrate_settings_gn/moz.build	2022-06-12 05:56:24.382929689 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -144,7 +147,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -160,7 +163,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -202,4 +205,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("bitrate_settings_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/transport/field_trial_based_config_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/transport/field_trial_based_config_gn/moz.build
--- third_party/libwebrtc/api/transport/field_trial_based_config_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/transport/field_trial_based_config_gn/moz.build	2022-06-12 05:56:24.385520665 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -152,7 +155,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -168,7 +171,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -210,4 +213,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("field_trial_based_config_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/transport/goog_cc_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/transport/goog_cc_gn/moz.build
--- third_party/libwebrtc/api/transport/goog_cc_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/transport/goog_cc_gn/moz.build	2022-06-12 05:56:24.389815945 +0900
@@ -68,14 +68,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -161,7 +164,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -177,7 +180,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -219,4 +222,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("goog_cc_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/transport/network_control_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/transport/network_control_gn/moz.build
--- third_party/libwebrtc/api/transport/network_control_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/transport/network_control_gn/moz.build	2022-06-12 05:56:24.388374514 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -152,7 +155,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -168,7 +171,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -210,4 +213,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("network_control_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/transport/rtp/dependency_descriptor_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/transport/rtp/dependency_descriptor_gn/moz.build
--- third_party/libwebrtc/api/transport/rtp/dependency_descriptor_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/transport/rtp/dependency_descriptor_gn/moz.build	2022-06-12 05:56:24.391256525 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("dependency_descriptor_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/transport/rtp/rtp_source_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/transport/rtp/rtp_source_gn/moz.build
--- third_party/libwebrtc/api/transport/rtp/rtp_source_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/transport/rtp/rtp_source_gn/moz.build	2022-06-12 05:56:24.392686846 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -144,7 +147,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -160,7 +163,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -194,4 +197,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("rtp_source_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/transport/stun_types_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/transport/stun_types_gn/moz.build
--- third_party/libwebrtc/api/transport/stun_types_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/transport/stun_types_gn/moz.build	2022-06-12 05:56:24.384092729 +0900
@@ -56,4 +56,13 @@
     "/third_party/libwebrtc/api/transport/stun.cc"
 ]
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("stun_types_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/transport/webrtc_key_value_config_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/transport/webrtc_key_value_config_gn/moz.build
--- third_party/libwebrtc/api/transport/webrtc_key_value_config_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/transport/webrtc_key_value_config_gn/moz.build	2022-06-12 05:56:24.386939504 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("webrtc_key_value_config_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/transport_api_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/transport_api_gn/moz.build
--- third_party/libwebrtc/api/transport_api_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/transport_api_gn/moz.build	2022-06-12 05:56:24.352912931 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -144,7 +147,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -160,7 +163,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -202,4 +205,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("transport_api_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/units/data_rate_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/units/data_rate_gn/moz.build
--- third_party/libwebrtc/api/units/data_rate_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/units/data_rate_gn/moz.build	2022-06-12 05:56:24.321264676 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("data_rate_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/units/data_size_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/units/data_size_gn/moz.build
--- third_party/libwebrtc/api/units/data_size_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/units/data_size_gn/moz.build	2022-06-12 05:56:24.316899094 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("data_size_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/units/frequency_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/units/frequency_gn/moz.build
--- third_party/libwebrtc/api/units/frequency_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/units/frequency_gn/moz.build	2022-06-12 05:56:24.315388683 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("frequency_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/units/time_delta_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/units/time_delta_gn/moz.build
--- third_party/libwebrtc/api/units/time_delta_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/units/time_delta_gn/moz.build	2022-06-12 05:56:24.319812133 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("time_delta_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/units/timestamp_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/units/timestamp_gn/moz.build
--- third_party/libwebrtc/api/units/timestamp_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/units/timestamp_gn/moz.build	2022-06-12 05:56:24.318363228 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("timestamp_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/video/builtin_video_bitrate_allocator_factory_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/video/builtin_video_bitrate_allocator_factory_gn/moz.build
--- third_party/libwebrtc/api/video/builtin_video_bitrate_allocator_factory_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/video/builtin_video_bitrate_allocator_factory_gn/moz.build	2022-06-12 05:56:24.347191288 +0900
@@ -68,14 +68,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -161,7 +164,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -177,7 +180,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -219,4 +222,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("builtin_video_bitrate_allocator_factory_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/video/encoded_frame_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/video/encoded_frame_gn/moz.build
--- third_party/libwebrtc/api/video/encoded_frame_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/video/encoded_frame_gn/moz.build	2022-06-12 05:56:24.327043667 +0900
@@ -68,14 +68,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -161,7 +164,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -177,7 +180,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -219,4 +222,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("encoded_frame_gn")
